.header {
    height: 55px;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 100;
    background-color: white;
    border-bottom: 1px solid rgb(228, 228, 228);
}

.left-section {
    display: flex;
    align-items: center;
}

.middle-section {
    flex: 1;
    margin-left: 70px;
    margin-right: 35px;
    max-width: 500px;
    display: flex;
    align-items: center;
}

.search-bar {
    flex: 1;
    height: 36px;
    padding-left: 10px;
    font-size: 16px;
    border: 1px solid rgb(192, 192, 192);
    border-radius: 50px 0 0 50px;
    box-shadow: inset 1px 2px 3px rgba(0, 0, 0, 0.05);
    width: 0;
}

.search-bar::placeholder {
    font-family: Roboto, Arial;
    font-size: 16px;
}

.hamburger-menu {
    height: 24px;
    margin-left: 24px;
    margin-right: 24px;
}

.youtube-logo {
    height: 20px;
}

.search-button {
    height: 36px;
    width: 66px;
    background-color: rgb(240, 240, 240);
    border: 1px solid rgb(192, 192, 192);
    margin-left: -1px;
    margin-right: 10px;
    border-radius: 0 50px 50px 0;
}

.search-button,
.search-voice-button,
.upload-icon-container,
.youtube-apps-container,
.notifications-icon-container {
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
}

.tooltip {
    font-family: Roboto, Arial;
    position: absolute;
    background-color: gray;
    color: white;
    padding: 4px 8px;
    border-radius: 2px;
    font-size: 12px;
    bottom: -30px;
    opacity: 0;
    transition: opacity 0.15s;
    pointer-events: none;
    white-space: nowrap;
}

.search-button:hover .tooltip,
.search-voice-button:hover .tooltip,
.upload-icon-container:hover .tooltip,
.youtube-apps-container:hover .tooltip,
.notifications-icon-container:hover .tooltip {
    opacity: 1;
}

.search-voice-button {
    height: 40px;
    width: 40px;
    border-radius: 20px;
    border: none;
    background-color: rgb(245, 245, 245);
}

.voice-search-icon,
.search-icon,
.upload-icon,
.youtube-apps-icon,
.notifications-icon {
    height: 24px;
}

.right-section {
    width: 180px;
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-shrink: 0;
}

.notifications-icon-container {
    position: relative;
}

.notifications-count {
    position: absolute;
    top: -2px;
    right: -5px;
    background-color: red;
    color: white;
    font-size: 11px;
    padding: 2px 5px;
    border-radius: 10px;
}

.current-user-icon {
    height: 34px;
    width: 34px;
    object-fit: cover;
    border-radius: 18px;
    margin-right: 20px;
}

@media (max-width: 750px) {
    .search-bar {
        display: none;
    }

    .search-button {
        width: 45px;
        border: none;
        border-radius: 50px;
    }

    .middle-section {
        margin-left: 20px;
        margin-right: 10px;
    }

    .current-user-icon {
        height: 30px;
        width: 30px;
        margin-right: 10px;
    }
}

@media (max-width: 500px) {
    .hamburger-menu{
        display: none;
    }
    .left-section{
        position: fixed;
        top: 20px;
        left: 15px;
    }
    .right-section{
        display: none;
    }
    .middle-section{
        position: fixed;
        right: 0;
        top: 6px;
    }
}